aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlex Beregszaszi <alex@rtfs.hu>2018-02-27 21:52:50 +0800
committerchriseth <chris@ethereum.org>2018-03-02 00:19:35 +0800
commit7171ac0124b9a23be9f631b8d8191aae07a52516 (patch)
tree2928b42d167487f589c5f1cf0fe19eb4be5d7f14
parent982476f99d085072d25b703a146a6d92cd280714 (diff)
downloaddexon-solidity-7171ac0124b9a23be9f631b8d8191aae07a52516.tar
dexon-solidity-7171ac0124b9a23be9f631b8d8191aae07a52516.tar.gz
dexon-solidity-7171ac0124b9a23be9f631b8d8191aae07a52516.tar.bz2
dexon-solidity-7171ac0124b9a23be9f631b8d8191aae07a52516.tar.lz
dexon-solidity-7171ac0124b9a23be9f631b8d8191aae07a52516.tar.xz
dexon-solidity-7171ac0124b9a23be9f631b8d8191aae07a52516.tar.zst
dexon-solidity-7171ac0124b9a23be9f631b8d8191aae07a52516.zip
Simplify error handling in tests.sh
-rwxr-xr-xscripts/tests.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/scripts/tests.sh b/scripts/tests.sh
index 69b2b338..9c20815e 100755
--- a/scripts/tests.sh
+++ b/scripts/tests.sh
@@ -96,7 +96,6 @@ then
progress=""
fi
-ERROR_CODE=0
# And then run the Solidity unit-tests in the matrix combination of optimizer / no optimizer
# and homestead / byzantium VM, # pointing to that IPC endpoint.
for optimize in "" "--optimize"
@@ -116,9 +115,8 @@ do
fi
set +e
"$REPO_ROOT"/build/test/soltest $progress $log -- "$optimize" --evm-version "$vm" --ipcpath /tmp/test/geth.ipc
- THIS_ERR=$?
set -e
- if [ $? -ne 0 ]; then ERROR_CODE=$?; fi
+ if [ $? -ne 0 ]; then exit $?; fi
done
done